//@ sourceURL=tabDatosBeneficiarios.js
/*!
 * Copyright 2021 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la "Licencia");
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito,
 * el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */

jQuery(function($) {
	

	initRupI18nPromise.then(function() {
		
		$("#tabDatosBeneficiarios_form_feedback").rup_feedback ({
		  type: "ok",
		  delay: 3000,
		  fadeSpeed: 500,
		  block: false
		});
		
		
		
		initComponentes();
//		initControDeEstado();
		//loadDocumentos();
		limpiarSesion();
		Ad74aUtils.sinEspacios();
		Ad74aUtils.soloNumericos();
		
		// Deshabilitar todos los inpus (los combos van en el callback de success)
		const inputs = $("#tabDatosBeneficiarios_form input");
		for(let k = 0; inputs.length > k;k++){
			$('#'+inputs[k].getAttribute('id')).prop("disabled", true);
		}
		
		$("[aria-labelledby='#datosBeneficiarios'] input:checkbox").prop('disabled', true);
		$("#tabsDetalleBeneficiario [ruptype='date'] ").rup_date("disable");
		
		// Habilitar los que se pueden editar en función del perfil
		if((isDSS || isAdmin) && !tieneExpAbierto && !esBajaSolicitante) {
			$("#apellido101_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			$("#apellido201_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			$("#nombre01_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			$("#fNacimiento01_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			$("#fNacimiento01_tabDatosBeneficiarios_detail_table").rup_date("enable");
			
			$("#M_sexo01_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			$("#H_sexo01_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			
			$("#ES_idiomaServicio01_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			$("#EU_idiomaServicio01_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			
			$("#tlfnoServicio01_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			$("#tlfnoMovil01_tabDatosBeneficiarios_detail_table").prop("disabled", false);			
			$("#email01_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			
			//Dirección de contacto
			//$("#dirContactocp06_detail_table").prop("disabled", false);
			$("#dirContactolocalidad06_detail_table").prop("disabled", false);
			$("#dirContactocalle06_detail_table").prop("disabled", false);
			$("#dirContactoportal06_detail_table").prop("disabled", false);
			$("#dirContactopiso06_detail_table").prop("disabled", false);
			$("#dirContactoletra06_detail_table").prop("disabled", false);			
			$("#dirContactoescalera06_detail_table").prop("disabled", false);			
			// Falta ver si los combos van bien con success
			
			$("#SI_pisosTutelados_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			$("#NO_pisosTutelados_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			
			$("#divPerfiles input:checkbox").prop("disabled", false);
			
			$("#numss01_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			$("#numtis01_tabDatosBeneficiarios_detail_table").prop("disabled", false);	
			$('#documento_cuenta').prop("disabled",false);

			if(isAdmin) {
				$("#ES_idiomaNot00_tabDatosBeneficiarios_detail_table").prop("disabled", false);
				$("#EU_idiomaNot00_tabDatosBeneficiarios_detail_table").prop("disabled", false);
				$("#OTROS_idiomaNot00_tabDatosBeneficiarios_detail_table").prop("disabled", false);
			}
		}
		
			
		
		// Mostrar/Ocultar el botón de cambio de cuenta bancaria
		$("#tabDatosBeneficiarios_editarCuenta").hide();
		$("#tabDatosBeneficiarios_editarCuenta").attr("disabled", true);
		$('#tabDatosBeneficiarios_editarCuenta').unbind("click");
		
		if((isDSS || isPS || isAdmin) && !tieneExpAbierto && !esBajaSolicitante){
			$('#tabDatosBeneficiarios_editarCuenta').on("click", function(){
				$('#cambioCuentaDialog').rup_dialog('open');
				
				$('#apellido2TitCuenta05_tabSolicitud_detail_table').prop("disabled", false);+
				$('#apellido1TitCuenta05_tabSolicitud_detail_table').prop("disabled", false);
				$('#nombreTitCuenta05_tabSolicitud_detail_table').prop("disabled", false);
				
				
				$('#numCuenta05_tabDatosBeneficiarios_edit_table').prop("disabled", false);
				
				$('#codTipoIdenTitular05_tabDatosBeneficiarios_edit_table').val($('#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table').attr("value"));
				$("#codTipoIdenTitular05_tabDatosBeneficiarios_edit_table").rup_combo("reload");
				$("#codTipoIdenTitular05_tabDatosBeneficiarios_edit_table").rup_combo("select", $('#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table').val());
				//$("#codTipoIdenTitular05_tabDatosBeneficiarios_edit_table").rup_combo("select", Number($("#codTipoIdenTitular05_tabDatosBeneficiarios_edit_table").val()));
				$('#idenTitular05_tabDatosBeneficiarios_edit_table').val($('#idenTitular05_tabDatosBeneficiarios_detail_table').val());
				
				$('#nombreTitCuenta05_tabDatosBeneficiarios_edit_table').val($('#nombreTitCuenta05_tabDatosBeneficiarios_detail_table').val());
				$('#apellido1TitCuenta05_tabDatosBeneficiarios_edit_table').val($('#apellido1TitCuenta05_tabDatosBeneficiarios_detail_table').val());
				$('#apellido2TitCuenta05_tabDatosBeneficiarios_edit_table').val($('#apellido2TitCuenta05_tabDatosBeneficiarios_detail_table').val());
				
				$('#numCuenta05_tabDatosBeneficiarios_edit_table').val($('#numCuenta05_tabDatosBeneficiarios_detail_table').val());
				$('#nombreTitCuenta05_tabDatosBeneficiarios_edit_table').val($('#nombreTitCuenta05_tabDatosBeneficiarios_detail_table').val());
				$('#apellido1TitCuenta05_tabDatosBeneficiarios_edit_table').val($('#apellido1TitCuenta05_tabDatosBeneficiarios_detail_table').val());
				$('#apellido2TitCuenta05_tabDatosBeneficiarios_edit_table').val($('#apellido2TitCuenta05_tabDatosBeneficiarios_detail_table').val());
			});
			// TODO: falta comprobar que no exista registro de a cuenta en cuentas erróneas
			$("#tabDatosBeneficiarios_editarCuenta").show();
			$("#tabDatosBeneficiarios_editarCuenta").attr("disabled", false);
		}
		
		//Al volver a la misma pestaña, el dialog se queda inconsitente (Esta en memoria JS pero no en el HTML) Se comprueba y borra para que funcione correctamente el rup_dialog
		if($('div[aria-describedby=cambioCuentaDialog]').length == 1){
			$('div[aria-describedby=cambioCuentaDialog]').remove();
		}
		$('#cambioCuentaDialog').rup_dialog({
		    type: $.rup.dialog.DIV,
		    autoOpen: false,
		    modal: true,
		    resizable: true,
		    dialogClass: 'custom_mid_dialog',
		    title: '<i>'+$.rup.i18n.app.beneficiarios.cambioDeCuentaTitle+'</i>',
		    buttons: [
		    	{
			        text: $.rup.i18n.app.botonera.cancelar,
			        //id: "cancelar_cuenta",
			        click: function () { 
			            $('#cambioCuentaDialog').rup_dialog('close');
			        },
			        btnType: $.rup.dialog.LINK
			    }
		    	
		    	,{
		        text: $.rup.i18n.app.botonera.guardar,
		        class: 'btn-material-primary-high-emphasis',
		        click: function () { 

		        	jQuery.validator.addMethod("numCuentaCorrecto", function(value, element,a) {
		    			
		        		if($("#numCuenta05_tabDatosBeneficiarios_edit_table").val()!='' && Ad74aUtils.validarIBAN($("#numCuenta05_tabDatosBeneficiarios_edit_table").val())){
		    				return true;
		    			}
		    			return false;						
		    		 },$.rup.i18n.app.validaciones.IbanFormatoIncorrecto);
		        	
		        	jQuery.validator.addMethod("tipoIdentifNotNull", function(value, element,a) {
		    			
		        		if($("#codTipoIdenTitular05_tabDatosBeneficiarios_edit_table").val()!=''){
		    				return true;
		    			}
		    			return false;						
		    		 },$.rup.i18n.app.validaciones.tipoIdentificadorNoAportado);
		        	
		        	jQuery.validator.addMethod("formatoDni", function(value, element,a) {
		    			
		        		if($("#idenTitular05_tabDatosBeneficiarios_edit_table").val()!='' && Ad74aUtils.validarCampoIdentificador($('#codTipoIdenTitular05_tabDatosBeneficiarios_edit_table').val(),$("#idenTitular05_tabDatosBeneficiarios_edit_table").val())){
		    				return true;
		    			}
		    			return false;						
		    		 },$.rup.i18n.app.validaciones.FormatoIdentificadorIncorrecto);
		        	
		        	

		        	$("#tabDatosBeneficiariosCuentas_form").rup_validate({
		    		    feedback:$("#tabDatosBeneficiariosDialogCuenta_form_feedback"),
		    		    liveCheckingErrors: false,
		    		    showFieldErrorAsDefault: true,
						showErrorsInFeedback: true,
		    		    showFieldErrorsInFeedback: true,
		    		    rules:{
		    		    	"nombreTitCuenta05":{required:true},
		    		    	"codTipoIdenTitular05":{required:true},
		    		    	"idenTitular05":{formatoDni:true},
		    		    	"numCuenta05":{required:true},
		    		    	"motivo05":{required:true},
		    		    	"numCuenta05":{numCuentaCorrecto:true}
		    		    }
		    		});
		        
		        	$("#codTipoIdenTitular05_tabDatosBeneficiarios_edit_table").rules("add", {
		        	         required:true,
		        	         
		        	      });
		        	const valido = $("#tabDatosBeneficiariosCuentas_form").valid();
		           // $('#cambioCuentaDialog').rup_dialog('close');
		        	const nombreTitCuenta = $('#nombreTitCuenta05_tabDatosBeneficiarios_edit_table').val();
		        	const apellido1TitCuenta = $('#apellido1TitCuenta05_tabDatosBeneficiarios_edit_table').val();
		        	const apellido2TitCuenta = $('#apellido2TitCuenta05_tabDatosBeneficiarios_edit_table').val();
		        	const codTipoIdenTitular = $('#codTipoIdenTitular05_tabDatosBeneficiarios_edit_table').val();
		        	const identidadTitular = $('#idenTitular05_tabDatosBeneficiarios_edit_table').val();
		        	const numCuenta = $('#numCuenta05_tabDatosBeneficiarios_edit_table').val();
		        	const motivoCambio = $('#motivoCuenta05_tabDatosBeneficiarios_detail_table').val();
		        	const idSolicitante = $('#idSolicitante01').val();
		        	let idCuenta =$('#idCuentaHidden').val();
		        	if((valido) && (
		        		($('#idenTitular05_tabDatosBeneficiarios_detail_table').val() != $('#idenTitular05_tabDatosBeneficiarios_edit_table').val()) ||
		        		($('#nombreTitCuenta05_tabDatosBeneficiarios_detail_table').val() != nombreTitCuenta ) ||
		        		($('#apellido1TitCuenta05_tabDatosBeneficiarios_detail_table').val() != apellido1TitCuenta ) ||
		        		($('#apellido2TitCuenta05_tabDatosBeneficiarios_detail_table').val() != apellido2TitCuenta ) ||
		        		($('#numCuenta05_tabDatosBeneficiarios_detail_table').val() != numCuenta) ||
		        		($('#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table').val() != codTipoIdenTitular))){
		        		let data = {};
		        		data.nombreTitCuenta05 =nombreTitCuenta;
		        		data.apellido1TitCuenta05 = apellido1TitCuenta;
		        		data.apellido2TitCuenta05 = apellido2TitCuenta;
		        		data.codTipoIdenTitular = codTipoIdenTitular;
		        		data.numCuenta = numCuenta;
		        		data.motivoCambio = motivoCambio;
		        		data.idSolicitante = idSolicitante;
		        		data.identidadTitular = identidadTitular;
		        		data.idCuenta = idCuenta;
		        		
		        		$.rup_ajax({
				    		 type:  "PUT",
				   	         url: $.rup.CTX_PATH + 'solicitantes/cambioCuentasBeneficiario',
				   	         data: JSON.stringify(data),
				             contentType: 'application/json',
				             beforeSend: function(){
				            	Ad74aUtils.cerrarFeedbacks();
								Ad74aUtils.bloquearInterfaz();
							},
			   			success: function(res){
			   				respuesta = JSON.parse(res);
			   				$('#idenTitular05_tabDatosBeneficiarios_detail_table').val(respuesta.idenTitular05); 
			   				$('#nombreTitCuenta05_tabDatosBeneficiarios_detail_table').val(respuesta.nombreTitCuenta05);
			   				$('#apellido1TitCuenta05_tabDatosBeneficiarios_detail_table').val(respuesta.apellido1TitCuenta05);
			   				$('#apellido2TitCuenta05_tabDatosBeneficiarios_detail_table').val(respuesta.apellido2TitCuenta05);
			   				$('#numCuenta05_tabDatosBeneficiarios_detail_table').val(respuesta.numCuenta05);
			   				$('#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table').val(respuesta.codTipoIdenTitular05);
			   				$("#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table").rup_combo("reload");
			   				$("#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table").rup_combo("select", respuesta.codTipoIdenTitular05);
			   				$('#idCuentaHidden').val(respuesta.idCuenta05);
			   				$('#cambioCuentaDialog').rup_dialog('close');
			   				$('#cuentasHistorico').rup_table("reload");
			   				
			   			},
						error: function(error){
							try {
								$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback("destroy");
							} catch (error) {}

							$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback(
								{
									type: "ok",
									block: false,
									delay: 3000,
									fadeSpeed: 600,
									
								}
							);
							$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("option", "delay", null);
							$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback('set',error.responseText,"error");
						},
						complete: function(){
							Ad74aUtils.desBloquearInterfaz();
						}
				   	    });
		        	}else if(!valido){
//		        		try {
//							$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback("destroy");
//						} catch (error) {}
//
//						$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback(
//							{
//								type: "ok",
//								block: false,
//								delay: 3000,
//								fadeSpeed: 600,
//							}
//						);
//						$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("option", "delay", null);
//						$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback('set',valido,"error");
		        	
		        	}else{
		        		try {
							$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback("destroy");
						} catch (error) {}
		        		
						$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback(
							{
								type: "ok",
								block: false,
								delay: 3000,
								fadeSpeed: 600,
		        			}
						);
						$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("option", "delay", null);
		        		$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback('set',$.rup.i18n.app.beneficiarios.noCambios,"error");
		        	}					
		        },
		        class: 'btn-material btn-material-primary-high-emphasis'
		    }
		    ],
		    open: () =>{
		    	Ad74aUtils.hacerPlegable();
				uploadfile();
				UploadFile.disabled("documento_cuenta", false);
		    	loadDocumentos();	
		        },
		    close: ()=>{
		    	limpiarSesion();
		    	$('#tabDatosBeneficiariosCuentas_form').rup_form("clearForm");
		    }
		});
		
	});
	
	const iniciarDireccion = (direccion, prefix) => {
		
		// Mostrar/ocultar los datos alternativos inicialmente
		if($("#"+prefix+"idlocalidad06_detail_table").val() == ''){						
			$("#"+prefix+"localidadDesc").show();
			$("#"+prefix+"calleDesc").show();
			$("#"+prefix+"portalDesc").show();
		}else{
			$("#"+prefix+"localidadDesc").hide();
		}
		
		if($("#"+prefix+"idcalle06_detail_table").val() == ''){						
			$("#"+prefix+"calleDesc").show();
			$("#"+prefix+"portalDesc").show();
		}else{
			$("#"+prefix+"calleDesc").hide();
		}
		
		if($("#"+prefix+"idportal06_detail_table").val() == ''){
			$("#"+prefix+"portalDesc").show();
		}else{
			$("#"+prefix+"portalDesc").hide();
		}
		
		// Iniciar el componente dirección de contacto
		initDirComponent({
			"prefix": prefix,
			"direccion": direccion, 
			"pisoTutelado": true,
			"callbacks": {
				"general": {
					"success": () => {
						//console.log("GENERAL:" + prefix);
						//console.log($("#"+prefix+"cp06_detail_table"));
						$("#"+prefix+"cp06_detail_table").prop("disabled", true);
						
						$("#pisosTutelados_tabDatosBeneficiarios_detail_table").rup_combo({
							source:  $.rup.CTX_PATH + 'combo/pisosTutelados?idProvincia06=' + $("#"+prefix+"idprovincia06_detail_table").val() + '&idMunicipio06=' + $("#"+prefix+"idmunicipio06_detail_table").val(),
							sourceParam: {label: "denominacion32", value:"idPiso32"},
							loadFromSelect:false,
							width: 'auto',
					        ordered: false,
							customClasses: ['select-material'],
							onLoadSuccess: function(obj){
								try{
								    $("#pisosTutelados_tabDatosBeneficiarios_detail_table").rup_combo("setRupValue",solicitantes.perfiles.pisosTutelados.idPiso32);
								}catch{
									console.log("Error seteando valor idPisoTutelado")
								}
								$("#pisosTutelados_tabDatosBeneficiarios_detail_table").rup_combo("disable");
								if((isDSS || isAdmin) && !tieneExpAbierto) {
									$("#pisosTutelados_tabDatosBeneficiarios_detail_table").rup_combo("enable");
								}
							},
							rowStriping: true
						});
						
					}
				},
				"provincia": {
					"change": () => {		

					},
					"success": () => {
						$("#"+prefix+"idprovincia06_detail_table").rup_combo("disable");
					},
					"selected": () => {
						return direccion.idProvincia06;
					}
				},
				"municipio": {
					"change": () => {
						const sourcePath = $.rup.CTX_PATH + 'combo/pisosTutelados?idProvincia06=' + $("#"+prefix+"idprovincia06_detail_table").val() + '&idMunicipio06=' + $("#"+prefix+"idmunicipio06_detail_table").rup_combo("getRupValue");
		    			$("#pisosTutelados_tabDatosBeneficiarios_detail_table").rup_combo("setSource",sourcePath);
		    			$("#pisosTutelados_tabDatosBeneficiarios_detail_table").rup_combo("refresh");
					},
					"success": () => {
						const allOptions = $("#"+prefix+"idmunicipio06_detail_table option");
						const opts = allOptions.filter( idx => allOptions[idx].value);
						if(opts.length == 1) {
							//console.log("dentro");
							direccion.idMunicipio06 = opts[0].value;
							//console.log(direccion.idMunicipio06);
							$("#"+prefix+"idmunicipio06_detail_table").rup_combo("select", opts[0].value);
							
							const sourcePath = $.rup.CTX_PATH + 'combo/pisosTutelados?idProvincia06=' + $("#"+prefix+"idprovincia06_detail_table").val() + '&idMunicipio06=' + $("#"+prefix+"idmunicipio06_detail_table").rup_combo("getRupValue");
			    			$("#pisosTutelados_tabDatosBeneficiarios_detail_table").rup_combo("setSource",sourcePath);
			    			$("#pisosTutelados_tabDatosBeneficiarios_detail_table").rup_combo("refresh");
						}
						$("#"+prefix+"idmunicipio06_detail_table").rup_combo("disable")
					},
					"selected": () => {
						const allOptions = $("#"+prefix+"idmunicipio06_detail_table option");
						const opts = allOptions.filter( idx => allOptions[idx].value);
						if(opts.length == 1) {
							return opts[0].value;
						}
						return direccion.idMunicipio06;
					}
				},
				"localidad": {
					"change": () => {
 						// TODO: refrescar pisostutelados	
						
						if($("#"+prefix+"idlocalidad06_detail_table").rup_combo("value") == ''){						
							$("#"+prefix+"localidadDesc").show();
							$("#"+prefix+"calleDesc").show();
							$("#"+prefix+"portalDesc").show();
						}else{
							$("#"+prefix+"localidadDesc").hide();
						}
					},
					"success": () => {
						$("#"+prefix+"idlocalidad06_detail_table").rup_combo("disable");
						$("#"+prefix+"localidadDesc").prop("disabled", true);
						if((isDSS || isAdmin) && !tieneExpAbierto && !esBajaSolicitante) {
							$("#"+prefix+"idlocalidad06_detail_table").rup_combo("enable");
							$("#"+prefix+"localidadDesc").prop("disabled", false);							
						}
						
						const allOptions = $("#"+prefix+"idlocalidad06_detail_table option");
						const opts = allOptions.filter( idx => allOptions[idx].value);
						if(opts.length == 1) {				
							direccion.idLocalidad06 = opts[0].value;
							$("#"+prefix+"idlocalidad06_detail_table").rup_combo("select", opts[0].value);
						}
						
						if($("#"+prefix+"idlocalidad06_detail_table").rup_combo("value") == ''){						
							$("#"+prefix+"localidadDesc").show();
							$("#"+prefix+"calleDesc").show();
							$("#"+prefix+"portalDesc").show();
						}else{
							$("#"+prefix+"localidadDesc").hide();
						}
					},
					"selected": () => {
						const allOptions = $("#"+prefix+"idlocalidad06_detail_table option");
						const opts = allOptions.filter( idx => allOptions[idx].value);
						if(opts.length == 1) {				
							return opts[0].value;
						}
						return direccion.idLocalidad06;
					}
				},
				"calle": {
					"change": () => {						
						// TODO: refrescar pisostutelados	
						
						console.log("~~~~~~"+$("#"+prefix+"idcalle06_detail_table").rup_combo("value"));
						if($("#"+prefix+"idcalle06_detail_table").rup_combo("value") == ''){
							$("#"+prefix+"calleDesc").show();
							$("#"+prefix+"portalDesc").show();
						}else{
							$("#"+prefix+"calleDesc").hide();
						}	
					},
					"success": () => {
						$("#"+prefix+"idcalle06_detail_table").rup_combo("disable");
						$("#"+prefix+"calle06_detail_table").prop("disabled", true);
						if((isDSS || isAdmin) && !tieneExpAbierto  && !esBajaSolicitante) {
							$("#"+prefix+"idcalle06_detail_table").rup_combo("enable");
							$("#"+prefix+"calle06_detail_table").prop("disabled", false);
						}

						const allOptions = $("#"+prefix+"idcalle06_detail_table option");
						const opts = allOptions.filter( idx => allOptions[idx].value);
						if(opts.length == 1 && $("#"+prefix+"calle06_detail_table").val() == '' ) {				
							direccion.idCalle06 = opts[0].value;
							$("#"+prefix+"idcalle06_detail_table").rup_combo("select", opts[0].value);
						}
					},
					"selected": () => {
						const allOptions = $("#"+prefix+"idcalle06_detail_table option");
						const opts = allOptions.filter( idx => allOptions[idx].value);
						if(opts.length == 1) {				
							return opts[0].value;
						}
						return direccion.idCalle06;
					}
				},
				"portal": {
					"change": () => {						
						// TODO: refrescar pisostutelados	
						
						if($("#"+prefix+"idportal06_detail_table").rup_combo("value") == ''){
							$("#"+prefix+"portalDesc").show();
						}else{
							$("#"+prefix+"portalDesc").hide();
						}
						if($("#"+prefix+"cp06_detail_table").val()=='' && $("#"+prefix+"idportal06_tabSolicitud_detail_table") != ''){
							const ajaxData = {
									'url': $.rup.CTX_PATH + 'nora/conseguirCP?portal='+ $("#"+prefix+"idportal06_tabSolicitud_detail_table").val() ,
									'type': 'GET',
									'contentType': 'application/json',
									'dataType': 'json',
									success: function (res) {
										$("#"+ prefix + "cp06_detail_table").val(res);
									},
									error: function (error) {
										//$("#iniciosOficio_feedback").rup_feedback('set', error.responseText, "error");	
									}
								};
								
							$.rup_ajax(ajaxData);
						}
					},
					"success": () => {
						$("#"+prefix+"idportal06_detail_table").rup_combo("disable");
						$("#"+prefix+"portal06_detail_table").prop("disabled", true);
						if((isDSS || isAdmin) && !tieneExpAbierto && !esBajaSolicitante) {
							$("#"+prefix+"idportal06_detail_table").rup_combo("enable");
							$("#"+prefix+"portal06_detail_table").prop("disabled", false);
						}

						const allOptions = $("#"+prefix+"idportal06_detail_table option");
						const opts = allOptions.filter( idx => allOptions[idx].value);
						if(opts.length == 1  && $("#"+prefix+"portal06_detail_table").val() == ''  ) {				
							direccion.idPortal06 = opts[0].value;
							$("#"+prefix+"idportal06_detail_table").rup_combo("select", opts[0].value);
						}
					},
					"selected": () => {
						const allOptions = $("#"+prefix+"idportal06_detail_table option");
						const opts = allOptions.filter( idx => allOptions[idx].value);
						if(opts.length == 1) {				
							return opts[0].value;
						}
						return direccion.idPortal06;
					}
				}
			}
		});
	}
	
	function initComponentes(){
		 /******************/
		 /* LLAMADAS UTILS */
		 /******************/
		
		Ad74aUtils.hacerPlegable();		
		
		$("#dirContactocp06_detail_table").on('focusout', () => {
			$("#tabDatosBeneficiarios_form").validate().element('#dirContactocp06_detail_table');
			if($('#dirContactocp06_detail_table').valid() && $("#dirContactocp06_detail_table").val() != $("#dirContactocp06_detail_table").data('prev')){
				// Seleccionar la provincia
				$("#dirContactoidprovincia06_detail_table").rup_combo("setRupValue", $('#dirContactocp06_detail_table').val().substring(0,2));
				iniciarDireccion(
					{
						"idProvincia06": $('#dirContactocp06_detail_table').val().substring(0,2)
					},
					"dirContacto"
				);
				$("#dirContactocp06_detail_table").data('prev', $("#dirContactocp06_detail_table").val());
			}						
		});
		
		iniciarDireccion(solicitantes.direcciones, "dirContacto");
				
		 /*****************************/
		 /* INICIALIZACIÓN CAMPOS RUP */
		 /*****************************/
		
		$('#fNacimiento01_tabDatosBeneficiarios_detail_table').rup_date({
				mask: 'dd/mm/yyyy',
				showButtonPanel : true,
				showOtherMonths : true,
		});
		
		let url=$.rup.CTX_PATH + 'combo/gradoDependencia'
//		if(solicitantes.tramitesExpediente != null 
//				&& solicitantes.tramitesExpediente.dependencias != null 
//				&& (solicitantes.tramitesExpediente.dependencias.idGradoDependencia04!=undefined || solicitantes.tramitesExpediente.dependencias.idGradoDependencia04!=null)){
//			url=$.rup.CTX_PATH + 'combo/gradoDependencia?valorActual='+solicitantes.tramitesExpediente.dependencias.idGradoDependencia04
//		} 
		if(solicitantes.dependencia != null && solicitantes.dependencia.idGradoDependencia04 != undefined 
				&& solicitantes.dependencia.idGradoDependencia04 != null){
			url=$.rup.CTX_PATH + 'combo/gradoDependencia?valorActual='+solicitantes.dependencia.idGradoDependencia04
		} 
		
		$("#gradoDependencia04_tabSolicitud_detail_table").rup_combo({
			source: url,
			sourceParam: {label: "descripcion", value:"value"},
			loadFromSelect:false,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank:'',
			selected: (function(){ try { return solicitantes.dependencia.idGradoDependencia04} catch { return null}})(),
			onLoadSuccess: function(obj){
				$('#gradoDependencia04_tabSolicitud_detail_table').rup_combo("disable");
			}
		});
		
		$("#idTipoDoc87_cuentas_dialog").rup_combo({
	    	rowStriping: true,
			ordered: true,
			customClasses: ['select-material'],
			source: $.rup.CTX_PATH + 'solicitantes/tipoDocCuentas',
			sourceParam: {value: "idTipoDoc36", label:"desc"},
			loadFromSelect:false,
			
		});
		if(solicitantes.dependencia != null){
			$("#fechDepencia").text(solicitantes.dependencia.fecInvokeImserso);
		}else{
			$("#divFechaDependencia").hide();
		}
		if(solicitantes.discapacidad != null){
			$("#fechDiscapacidad").text(solicitantes.discapacidad.fecInvokeDiscapacidad);
		}else{
			$("#divFechaDiscapacidad").hide();
		}
		
		$("#tipoIdentificador01_tabDatosBeneficiarios_detail_table").rup_combo({
		    source: $.rup.CTX_PATH +'combo/tipoIdentificador',
		   	sourceParam : {	label: 'label' ,value: 'value'},
		    width : "300",
		    height: "100",
		    customClasses: ['select-material'],
		    rowStriping: true,
		    orderedByValue:false,
		    ordered: false,
			onLoadSuccess: () => {										
				$("#tipoIdentificador01_tabDatosBeneficiarios_detail_table").rup_combo("disable");
			}
		 });  
		
		$("#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table").rup_combo({
		    source: $.rup.CTX_PATH +'combo/tipoIdentificador',
		   	sourceParam : {	label: 'label' ,value: 'value'},
		    width : "300",
		    height: "100",
		    blank:'',
		    customClasses: ['select-material'],
			rowStriping: true,
		    orderedByValue:false,
			onLoadSuccess: function(obj){
				//$("#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table").rup_combo("select", $("#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table").attr("value"));
				$('#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table').rup_combo("disable");
			},
			selected:$("#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table").attr("value"),
		    ordered: false
		 });	
		
		$("#codTipoIdenTitular05_tabDatosBeneficiarios_edit_table").rup_combo({
		    source: $.rup.CTX_PATH +'combo/tipoIdentificador',
		   	sourceParam : {	label: 'label' ,value: 'value'},
		    width : "300",
		    height: "100",
		    blank:"",
		    customClasses: ['select-material'],
			rowStriping: true,
		    orderedByValue:false,
			onLoadSuccess: function(obj){
				
			},
			selected:$("#codTipoIdenTitular05_tabDatosBeneficiarios_detail_table").attr("value"),
		    ordered: false
		 });
		$("#tipoBeneficiario_tabDatosBeneficiarios_detail_table").rup_combo({
		    source: $.rup.CTX_PATH +'combo/tipoBeneficiario',
		   	sourceParam : {	label: 'label' ,value: 'value'},
		    width : "300",
		    height: "100",
		    customClasses: ['select-material'],
			rowStriping: true,
		    orderedByValue:false,
		    ordered: false,
		    blank : '',
			onLoadSuccess: function(obj){
				$("#tipoBeneficiario_tabDatosBeneficiarios_detail_table").rup_combo("refresh");
				// Habilitar los que se pueden editar en función del perfil
				if(isAdmin && !tieneExpAbierto && !esBajaSolicitante) {
					$('#tipoBeneficiario_tabDatosBeneficiarios_detail_table').rup_combo("enable");
				} else {
					$('#tipoBeneficiario_tabDatosBeneficiarios_detail_table').rup_combo("disable");				
				}
				
			}
		});  
		
		
		$("#mayor65Dep07_tabDatosBeneficiarios_detail_table").change(function(){
			if(document.getElementById('mayor65Dep07_tabDatosBeneficiarios_detail_table').checked){
				$("#mayor65RiesgoDep07_tabDatosBeneficiarios_detail_table").removeAttr("checked")
			}		
		})
		
		$("#mayor65RiesgoDep07_tabDatosBeneficiarios_detail_table").change(function(){
			if(document.getElementById('mayor65RiesgoDep07_tabDatosBeneficiarios_detail_table').checked){
				$("#mayor65Dep07_tabDatosBeneficiarios_detail_table").removeAttr("checked")
			}		
		})
			
		
		// Borrar los hidden generados con el <form:checkbox/>
		$("input[name='_perfiles.mayor65Dep07']").remove();
		$("input[name='_perfiles.mayor65RiesgoDep07']").remove();
		$("input[name='_perfiles.mayor75Sola07']").remove();
		$("input[name='_perfiles.disIntelectual07']").remove();
		$("input[name='_perfiles.disFisica07']").remove();
		$("input[name='_perfiles.disSensorial07']").remove();
		$("input[name='_perfiles.enfMental07']").remove();
		$("input[name='_perfiles.riesgoAislamiento07']").remove();
				
//		$("input[name='_tramitesExpediente.discapacidad.discapacidadFisica71']").remove();
//		$("input[name='_tramitesExpediente.discapacidad.discapacidadIntelecto71']").remove();
//		$("input[name='_tramitesExpediente.discapacidad.discapacidadSensorial71']").remove();
		$("input[name='_discapacidad.discapacidadFisica71']").remove();
		$("input[name='_discapacidad.discapacidadIntelecto71']").remove();
		$("input[name='_discapacidad.discapacidadSensorial71']").remove();

		 /***************************/
		 /* VALIDADOR DE FORMULARIO */
		 /***************************/
		 jQuery.validator.addMethod("checkPisosTutelados", function(value, element,a) {			 
			 return ($("#SI_pisoTutelado07_tabSolicitud_detail_table").prop("checked") && $("#pisosTutelados_tabDatosBeneficiarios_detail_table").val() != null && $("#pisosTutelados_tabDatosBeneficiarios_detail_table").val() != '') || $("#NO_pisoTutelado07_tabSolicitud_detail_table").prop("checked") ;						
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 jQuery.validator.addMethod("checkCp", function(value, element,a) {
			 return !(value.toString().length != 5 || (!value.startsWith("01") && !value.startsWith("20") && !value.startsWith("48")));
		 },$.rup.i18n.app.validaciones.cpNoValido);
		 
		 jQuery.validator.addMethod("requiredCP", function(value, element, params) {
			 if(params.length != 2) {
				 return false;
			 }
			 const current 	= $("[name='"+ params[0]+"']").val();
			 const compareTo = $("[name='"+ params[1]+"']").val();
			 return (current!= "" && compareTo == "") || compareTo != "";	
		 }, $.rup.i18n.base.rup_validate.messages.required);
	      
		 var properties={
				feedback:$("#tabDatosBeneficiarios_form_feedback"),
				liveCheckingErrors: false,
				showFieldErrorAsDefault: true,
				showErrorsInFeedback: true,
				showFieldErrorsInFeedback: true,
			  rules:{
			      "apellido101":{required:true},
			      "apellido201":{required: false},
			      "nombre01":{required: true},
			      "fNacimiento01":{required: true,date:true},
			      "beneficiario01":{required: true},
			      "tipoIdentificador01":{required: true},
			      "identificador01":{required: true},
			      "sexo01":{required: true},
			      "tlfnoServicio01":{required: true},
			      "idiomaServicio01":{required: true},
			      "expSolicitud.idiomaNot00":{required: true},
			      "cuentas.codTipoIdenTitular05":{required: true},
			      "cuentas.idenTitular05":{required: true},
			      "cuentas.nombreTitCuenta05":{required: true},
			      "cuentas.apellido1TitCuenta05":{required: true},
			      "cuentas.numCuenta05":{required: true},
			      "direcciones.cp06":{required: true, checkCp: true},
			      "direcciones.provincia06":{required: true},
			      "direcciones.idProvincia06":{required: true},
			      "direcciones.municipio06":{required: true},
			      "direcciones.idMunicipio06":{required:true},
			      "direcciones.localidad06":{required: true},
			      "direcciones.idLocalidad06":{required: true},
			      "direcciones.calle06":{required: true},
			      "direcciones.idCalle06":{required: true},
			      "direcciones.portal06":{ requiredCP: ["direcciones.portal06", "direcciones.idPortal06"]},
				  "direcciones.idPortal06":{ requiredCP: ["direcciones.idPortal06", "direcciones.portal06"]},			      
			      "perfiles.pisosTutelados":{checkPisosTutelados: true},
			      "dependencia.fResolucion04":{date:true},
  		    	  "email01":{email:true}
			      
			 },
		};
		$("#tabDatosBeneficiarios_form").rup_validate(properties);
		
		$("#tabDatosBeneficiarios_form [ruptype='date']").blur(function(elem) { 

			if(!$(elem.target).valid()){
                $(elem.target).val('')
            }

		})
		
		 /***********************************/
		 /* CONTROL VISUALIZACION DE CAMPOS */
		 /***********************************/
		//Asignamos control campo otroIdioma con radio idiomaServicio01 
		$('input[type=radio][name="expSolicitud.idiomaNot00"]').change(function() {
			FN_controlVisivilidadIdiomaNot00();
		});
		FN_controlVisivilidadIdiomaNot00();
		
		$('input[type=radio][name="expSolicitud.idiomaNot00"]').attr("disabled",true);
		$('input[type=radio][name="idiomaServicio01"]').attr("disabled",true);
		
		
		//Asignamos control campo pisos tutelados con radio pisos tutelados 
		$("input[type=radio][name='perfiles.pisoTutelado07']").change(function() {
			FN_controlVisivilidadPisosTutelados();
		});
		FN_controlVisivilidadPisosTutelados();
		
		
		
		 /*****************/
		 /* BOTON GUARDAR */
		 /*****************/
		// GUARDAR
		$("#tabDatosBeneficiarios_guardar").unbind("click");
		$("#tabDatosBeneficiarios_guardar").attr("disabled", true);
		if((isDSS || isAdmin) && !tieneExpAbierto && !esBajaSolicitante) {			
			$("#tabDatosBeneficiarios_guardar").attr("disabled", false);
			$("#tabDatosBeneficiarios_guardar").on("click", function(){
				if($("#tabDatosBeneficiarios_form").valid()){
					
					
					Ad74aUtils.cerrarFeedbacks();
					$("#tabDatosBeneficiarios_form").rup_validate("resetElements");
					let data = {};
					data = $("#tabDatosBeneficiarios_form").rup_form("formToJson");
					
					
					const msgErrorInicio = "<ul class='rup-maint_feedbackUL'><br/>";
					const msgErrorFin = '</ul>';
					let msgError = '';
					
					if(msgError == ''){
						$.rup_ajax({
							type:  "PUT",
							url: $.rup.CTX_PATH + 'solicitantes/edit',
							data: JSON.stringify(data),
							contentType: 'application/json',
							beforeSend: function(){
								Ad74aUtils.cerrarFeedbacks();
								Ad74aUtils.bloquearInterfaz();
							},
							success: function(res){
								$('#tabDatosBeneficiarios_form_feedback').rup_feedback("option", "delay", 3000);								
								$("#tabDatosBeneficiarios_form_feedback").rup_feedback('set',$.rup.i18n.app.feedback.modificadoOK,'ok');
							},
							error: function(error){
								$('#tabDatosBeneficiarios_form_feedback').rup_feedback("option", "delay", null);
								$("#tabDatosBeneficiarios_form_feedback").rup_feedback('set',error.responseText,"error");
							},
							complete: function(){
								Ad74aUtils.desBloquearInterfaz();
							}
						});
					}else{						
						$('#tabDatosBeneficiarios_form_feedback').rup_feedback("option", "delay", null);
						$("#tabDatosBeneficiarios_form_feedback").rup_feedback('set',msgErrorInicio+msgError+msgErrorFin,"error");
					}
					
				}				
			});
		}
	    
	    
	    $("#tabDatosBeneficiarios_cancel").on("click", function(){
	    	window.location.href = $.rup.CTX_PATH + "solicitantes/maint";	    	
	    });
	    
	    $('#numCuenta05_tabDatosBeneficiarios_edit_table').on("input", function () {
	        $(this).val($(this).val().replace(/ /g, ""));
	    });
	     
	}
	
	
	function FN_controlVisivilidadIdiomaNot00(){
		if($("#OTROS_idiomaNot00_tabDatosBeneficiarios_detail_table").prop("checked")){
			$("#divOtroIdiomaNot00").show();
		}else{
			$("#divOtroIdiomaNot00").hide()
		}
	}
	
	function FN_controlVisivilidadPisosTutelados(){

		if($("#SI_pisosTutelados_tabDatosBeneficiarios_detail_table").prop("checked")){
			$("#divPisosTutelados").show();
		}else{
			$("#divPisosTutelados").hide()
		}
	}

	function loadDocumentos() {
		$("#link-layer").hide();
		try {
			$("#documento_table_cuentas").DataTable().destroy();
		} catch (error) {}

		let tableColModels = [
			{ name: "idTipoDoc87", index: "IDTIPODOC87", editable: false, hidden: false, orderable: false },
			{ name: "nombreDoc87", index: "NOMBREDOC87", editable: false, hidden: false, orderable: false },
			{ name: "falta87", index: "FALTA87", editable: false, hidden: false, orderable: false },
			{ name: "extension87", index: "EXTENSION87", editable: false, hidden: false, orderable: false }

		];
		let urlBase=$.rup.CTX_PATH +"docucuentas/0/"+$('#idCuentaHidden').val();

		$("#documento_table_cuentas").attr("data-url-base", urlBase);

			let columnDefs =[
				{
					"targets": 0,
					"orderable":false,
				    "render": function ( data, type, row, meta ) {
				             return DOCSOTROS_ROLEID_DESC;

					}
				},
				{
					"targets": 1,
					"orderable":false,
				    "className": "text-center",
				    "render": function ( data, type, row, meta ) {
				             return "<a href='javascript:$.downloadDocument(\"" + row.ruta87 + "\",\""+row.nombreDoc87+"\");'>" + data + "</a>"; 
					}
				},
				{
					"targets": 3,
					"orderable":false,
				    "width":'4%',
				    "className": "text-center",
				    "render": function ( data, type, row, meta ) {
							return "<a href='javascript:$.eliminarArchivo(\"" + row.ruta87 + "\");'><i class='mdi mdi-trash-can-outline' style='margin-right:5px;'></i></a>";

					}
				},
				
				
			]



	const tableDocumentos = $("#documento_table_cuentas").rup_table({
		colReorder: {
			fixedColumnsLeft: 1
		},
		colModel: tableColModels,
		columnDefs : [
			
			

		], 
		primaryKey: "idDocCuenta87",
		filter: "noFilter",
		noEdit: true,
		columnDefs:columnDefs,
		createTooltipBody: false,
		select: {
			activate: false
		},
		"pageLength": 50,
		dom: 't<"container-fluid paginationContainer"' +
		  '<"row mx-0"' +
		  '<"col-6 order-3 text-right align-self-center col-sm-5 order-sm-2 col-xl-2 order-xl-1 text-xl-left">' +
		  '<"d-none"p>' +
		  '<"col-12 text-center"i>' +
		  '>' +
		  '>' +
		  'r',
		  //"paging": false,
		buttons: {
			activate: false,
			blackListButtons: ['addButton', 'editButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton', 'reportsButton'],
		},
		order: [[1, "asc"]],
	});
	$("#link-layer").show();
	}
	
	const uploadfile = ()=>{

		try {
			$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback("destroy");
		} catch (error) {}

		$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback(
			{
				type: "ok",
				block: false,
				delay: 3000,
				fadeSpeed: 600,
			}
		);


		let urlAportar='aportar/'+$('#idCuentaHidden').val();

	UploadFile.init("documento_cuenta", {
        selectButton: {
            "text": $.rup.i18n.app.botonera.seleccionar,
            "icon": "mdi mdi-plus",
            "class": "btn-material-primary-high-emphasis",
        },
        uploadButton: {
            "text": $.rup.i18n.app.botonera.aportar,
            "icon": "mdi mdi-upload",
            "class": "btn-material-primary-high-emphasis",
        },
        "extensions": ['.pdf'],
        "submitInForm": false,
        "url": urlAportar,
        data: () => {
        	return { 
        		"tipificar": $("#idTipoDoc87_cuentas_dialog").val(),
        	}
        },
        start : function (data) {
			Ad74aUtils.bloquearInterfaz();
		},
		done: function (data) {
			UploadFile.reset("documento_cuenta");
			loadDocumentos();
			Ad74aUtils.desBloquearInterfaz();
        	$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("set", $.rup.i18n.app.beneficiarios.documentoAdjuntado, "ok");

		},
		fail: function (data) {
			console.log(data);
			UploadFile.reset("documento_cuenta");
			Ad74aUtils.desBloquearInterfaz();
			$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("option", "delay", null);
        	$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("set", $.rup.i18n.app.beneficiarios.errorDocumentoAdjuntado, "error");
		},
    });

	}
	
	
	$.downloadDocument = function(oid, nombreDoc){
		if (oid != null
				&& oid != ''){
			var url = $.rup.CTX_PATH+"docucuentas/downloadDocuCuentas/"+oid+"?nombreDoc="+nombreDoc;
			window.open($.rup_utils.setNoPortalParam(encodeURI(url)));
		}
	}
	
	
	$.eliminarArchivo = function(oid){
		if (oid != null
				&& oid != ''){
			var url = $.rup.CTX_PATH+"docucuentas/deleteDocumentosCuentas/"+oid;
			$.rup_ajax({
	              url: url,
	              type: "POST",
	              //dataType: 'json',
	              contentType: 'application/json',
					beforeSend: function() {
						Ad74aUtils.bloquearInterfaz();
	                },
	                complete: function() {
	                	Ad74aUtils.desBloquearInterfaz();
	                },
	              success: function (data){
					try {
						$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback("destroy");
					} catch (error) {}

					$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback(
						{
							type: "ok",
							block: false,
							delay: 3000,
							fadeSpeed: 600,
						}
					);
					UploadFile.reset("documento_cuenta");
					loadDocumentos();
					Ad74aUtils.desBloquearInterfaz();
			    	$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("set", $.rup.i18n.app.avisos.eliminarDocumentoDelAviso, "ok");



	              },
	              error: function(error){

					try {
						$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback("destroy");
					} catch (error) {}

					$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback(
						{
							type: "ok",
							block: false,
							delay: 3000,
							fadeSpeed: 600,
						}
					);
					UploadFile.reset("documento_cuenta");
					loadDocumentos();
					Ad74aUtils.desBloquearInterfaz();
					$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("option", "delay", null);
			    	$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("set", $.rup.i18n.app.avisos.errorEliminarDocumentoDelAviso, "error");

	              }
	        });

		}
	}
	function limpiarSesion(){
		$.rup_ajax({
        	url: $.rup.CTX_PATH +"docucuentas/clear",
            type: "GET",
            success: function (){
        		console.log("Session cleared");
          	}
        });
	}
});